slepc4py (3.24.2-2ubuntu2) resolute; urgency=medium

  * No-change rebuild to drop Python 3.13 bits.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2026 11:19:40 +0100

slepc4py (3.24.2-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Feb 2026 10:16:44 +0100

slepc4py (3.24.2-2) unstable; urgency=medium

  * update debian/watch to v5 format
  * debian/tests: run lscpu in demo tests on ppc64el to report which
    CPU is being used, and report liblapack[64].so alternative links
    (for debugging openblas failure, Bugs #1126688, #1126625)
    debian/tests/control Depends: dpkg-dev, util-linux [ppc64el]

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Feb 2026 10:21:37 +0100

slepc4py (3.24.2-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Jan 2026 07:53:39 +0100

slepc4py (3.24.2-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch doc_fix_sphinx_MR896.patch
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jan 2026 23:32:07 +0100

slepc4py (3.24.1-2ubuntu2) resolute; urgency=medium

  * Rebuild against new slepc/petsc/petsc4py/scotch/mumps libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Dec 2025 20:14:06 +0100

slepc4py (3.24.1-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Dec 2025 15:20:55 +0100

slepc4py (3.24.1-2) unstable; urgency=medium

  * remove separate build_real rule. It's sabotaged by the -p option to
    dh_auto_build which refuses to run the build in an arch-indep run
    (when building for docs). Instead build manually for docs if needed.

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Nov 2025 10:23:46 +0100

slepc4py (3.24.1-1) unstable; urgency=medium

  * New upstream release
    - Build-Depends: python3-pydata-sphinx-theme,
      python3-sphobjinv <!nodoc>
  * vendor pylit in debian/pylit.py, v0.8.0 from pypi tarball
    (suggested by Lisandro Dalcin upstream issue#98)
    Update debian patch doc_build.patch to enable use of pylit during
    doc build. Copyright Günter Milde with a GPL-3+ licence.
  * update debian patch doc_build.patch to drop use of git in doc build

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Nov 2025 01:08:59 +0100

slepc4py (3.24.0-1exp2) experimental; urgency=medium

  * debian patch doc_fix_sphinx_MR896.patch applies upstream MR#896 to
    fix doc build with sphinx 8.2. doc_build.patch: reenable autodoc.
    Closes: #1120324

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Nov 2025 21:56:20 +0100

slepc4py (3.24.0-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.24.
    - deprecates debian patch use_python3.patch
      (build docs with sphinx-build not python direct)
      Build-Depends: python3-sphinx instead of sphinx-common
  * Build-Depends: python3-numpy-dev (for dh_numpy3)
  * debian/rules: use execute_after_dh_* instead of trivial override_dh_*
  * add debian patch doc_build.patch
    - drop pylit from doc build, since it is not (yet) packaged for
      debian. Hence demos are not processed with docs.
    - block use of extlink since network connections are not available
      during build
    - disable autodoc because of error
      unexpected keyword argument 'short_literals'
      See Bug#1120324 (upstream issue #98)
  * add debian patch doc_local_intersphinx.patch to use intersphinx
    with local objects.inv
    Build-Depends-Indep: python3-doc, python-numpy-doc,
    python-mpi4py-doc, python-pyopencl-doc, petsc3.24-doc,
    python-petsc4py-doc, slepc3.24-doc (all <!nodoc>)
  * add debian patch doc_local_petsc.patch enabling access to a local
    file copy of petsc's objects.inv via LOC_PETSC.
    Access slepc's local objects.inv via existing LOC variable.
  * build docs setting PETSC_DIR and SLEPC_DIR (as default dirs
    /usr/lib/petsc and /usr/lib/slepc, and PETSC_ARCH empty) and point
    PYTHONPATH at built package (slepc_real). Requires real build for
    arch-indep build.
  * force build of info docs since "sphinx_build -M texinfo" currently
    finds an error and fails to finish generating the info file
  * man page moved to section 3
  * override dh_auto_test to run build-time tests using runtests.py

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Nov 2025 22:32:08 +0100

slepc4py (3.23.1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release. New PETSc and SLEPc ABI 3.23.
  * Add Francesco Ballarin to uploaders.
  * Bump Standards-Version to 4.7.2.
  * Remove build/ directory after building 64-bit complex package,
    otherwise manually running test after having done dpkg-buildpackage +
    sudo debi results in the maintainer thinking that they are testing the
    default scalar type variant (i.e., 32-bit real), while actually testing the
    latest built one (i.e., 64-bit complex).

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 May 2025 18:11:21 +0200

slepc4py (3.22.2-1ubuntu3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:52:25 +0000

slepc4py (3.22.2-1ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:24:27 +0000

slepc4py (3.22.2-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 19:27:30 -0600

slepc4py (3.22.2-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 17:03:45 +0100

slepc4py (3.22.1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 14:21:25 +0000

slepc4py (3.22.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Dec 2024 15:40:09 +0000

slepc4py (3.22.1-2) unstable; urgency=medium

  * upload 3.22 to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 23:46:55 +0100

slepc4py (3.22.1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.22.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Nov 2024 11:05:59 +0100

slepc4py (3.21.2-1ubuntu2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 14:41:39 +0100

slepc4py (3.21.2-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Nov 2024 15:39:29 +0100

slepc4py (3.21.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: python3-setuptools. Closes: #1080903.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Oct 2024 18:33:20 +0200

slepc4py (3.21.1-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.21)
  * Build-Depends: pybuild-plugin-pyproject (now has pyproject.toml)
    - requires manual removal of intermediate build dir in build rule
      (pybuild does not control the pyproject PEP517 build dir)

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Sep 2024 00:22:13 +0200

slepc4py (3.20.2-1ubuntu2) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 23 Sep 2024 12:35:09 +0000

slepc4py (3.20.2-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 19:26:38 +0200

slepc4py (3.20.2-1) unstable; urgency=medium

  * New upstream release
  * drop docs/usrman *.js entries in debian/copyright
  * Build-Depends-Indep: tex-gyre (for tgtermes.sty)
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 May 2024 11:10:59 +0200

slepc4py (3.20.1-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.20)
  * Build-Depends: cython3 (>= 3.0.0~)
    Drop debian patch revert_cython_pin_d7c06578.patch.
  * drop Build-Depends: python3-distutils. Closes: #1065955.
  * build all docs (html, man, info, pdf) from source

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Mar 2024 11:09:00 +0100

slepc4py (3.19.2-3ubuntu5) oracular; urgency=medium

  * Rebuild against new petsc/slepc 3.20 and .

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 10:53:49 +0200

slepc4py (3.19.2-3ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:13 +1100

slepc4py (3.19.2-3ubuntu3) noble; urgency=medium

  * Drop distutils dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Mar 2024 20:45:47 +0100

slepc4py (3.19.2-3ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:53:55 +0100

slepc4py (3.19.2-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Cherry-pick change from petsc4py 3.19.6-1ubuntu1
      to fix a similar underlinking

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Feb 2024 14:43:44 +0100

slepc4py (3.19.2-3) unstable; urgency=medium

  * debian patch revert_cython_pin_d7c06578.patch reverts upstream
    commit d7c06578 pinning exact version of cython (provided by
    cython3-legacy). Closes: #1064693.

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Feb 2024 02:51:59 +0100

slepc4py (3.19.2-2ubuntu1) noble; urgency=medium

  * Cherry-pick change from petsc4py 3.19.6-1ubuntu1
    to fix a similar underlinking

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Feb 2024 20:55:20 +0100

slepc4py (3.19.2-2) unstable; urgency=medium

  * Build-Depends: cython3-legacy. Closes: #1060353.

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Jan 2024 04:40:10 +0100

slepc4py (3.19.2-1) unstable; urgency=medium

  [ Francesco Ballarin ]
  * New upstream version 3.19.2

  [ Drew Parsons ]
  * slepc4py 3.19 supports Python 3.12. Closes: #1057863.
  * run debian/tests on all supported Python versions

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Dec 2023 04:42:35 +0100

slepc4py (3.19.1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.19.

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jul 2023 09:52:29 +0200

slepc4py (3.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Jun 2023 17:23:07 +0200

slepc4py (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Jan 2023 09:23:25 +0100

slepc4py (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * drop debian patch demo_skip_ex3.patch (fixed in PETSc 3.18.1)

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Dec 2022 16:09:50 +0100

slepc4py (3.18.0-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.18).
  * debian patch demo_skip_ex3.patch skips demo ex3.py, which
    currently crashes, see https://gitlab.com/slepc/slepc/-/issues/60

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 Nov 2022 09:20:31 +0100

slepc4py (3.17.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1
  * add docs/usrman/searchindex.js and tutorial.html to source lintian
    overrides

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Sep 2022 00:59:36 +0200

slepc4py (3.17.0-1exp1) experimental; urgency=medium

  * New upstream release (new API 3.17).
  * use https://pypi.python.org/packages/source/s/slepc4py
    as package Homepage since separate gitlab source repo is defunct
    (actual slepc4py source now sits with SLEPc source at
    https://gitlab.com/slepc/slepc)
  * add pypi-homepage override to debian/source/lintian-overrides.
    slepc4py upstream development source is contained within the main
    slepc source repo at
    https://gitlab.com/slepc/slepc/-/tree/main/src/binding/slepc4py
    So we use the pypi tarball to access slepc4py source separate from
    slepc source.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Apr 2022 13:06:39 +0200

slepc4py (3.16.1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch read_slepc_config.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Mar 2022 19:08:04 +0100

slepc4py (3.16.0-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI update to 3.16
  * update debian patch read_slepc_config.patch for upstream PR
    (guard against non-lib flags, drop deprecated petscvec logic)

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Nov 2021 17:15:10 +0100

slepc4py (3.15.1-2) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * refresh debian/source/lintian-overrides

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Oct 2021 23:26:15 +0200

slepc4py (3.15.1-1exp2) experimental; urgency=medium

  * reinstate slepc library patch in debian patch
    read_slepc_config.patch, which was inadvertently lost when
    refreshing patches for 3.15.0 (commit a2d11bc4)

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Sep 2021 01:43:31 +0200

slepc4py (3.15.1-1exp1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Sep 2021 13:28:35 +0200

slepc4py (3.15.0-1exp1) experimental; urgency=medium

  * New upstream release (new ABI version 3.15).
  * debian/watch: track slepc4py upstream source from pypi.python.org,
    since slepc4py development is now merged into slepc upstream.
  * upstream source provides prebuilt docs, but build fresh html docs
    to ensure they are up to date with Debian's version of sphinx
  * drop jquery.js and underscore.js from source/lintian-overrides
    (true source now provided, no longer overlength)

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Apr 2021 03:07:08 +0200

slepc4py (3.14.0-2) unstable; urgency=medium

  * upload to unstable for ABI transition

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Nov 2020 01:00:51 +0800

slepc4py (3.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Oct 2020 16:07:18 +0800

slepc4py (3.13.0-5) unstable; urgency=medium

  * Build-Depends: python3-petsc4py
    (ensure petsc4py.pth is available)
  * invert Depends/Recommends relationship between python3-slepc4py and
    specific builds. apt-get install python3-slepc4py should "just work"

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Sep 2020 11:56:09 +0800

slepc4py (3.13.0-4) unstable; urgency=medium

  * bring 64-bit packages to unstable

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Jul 2020 11:57:29 +0800

slepc4py (3.13.0-3) experimental; urgency=medium

  * provide builds with 64-bit indexing in python3-slepc4py-64-real,
    python3-slepc4py-64-complex and version-specific variants.
  * relax circular dependency by setting python3-slepc4py Recommends:
    rather than Depends on specific slepc4py builds. Closes: #963850.

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Jul 2020 17:00:05 +0800

slepc4py (3.13.0-2) unstable; urgency=medium

  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jun 2020 12:20:24 +0800

slepc4py (3.13.0-1) experimental; urgency=medium

  * New upstream release.
  * update upstream homepage to https://gitlab.com/slepc/slepc4py
  * debian patch use_python3.patch sets docs to use sphinx with python3
  * build docs using sphinx
    - apiref no longer available: needs abandoned epydoc

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 May 2020 02:34:10 +0800

slepc4py (3.12.0-7) unstable; urgency=medium

  * rebuild to allow migration to testing

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Apr 2020 18:32:05 +0800

slepc4py (3.12.0-6) unstable; urgency=medium

  * Facilitate slepc4py support for multiple installed SLEPc versions.
    - provide SLEPc-version-specific packages
      python3-slepc4py-real3.12 and python3-slepc4py-complex3.12.
    - python3-slepc4py-real and python3-slepc4py-complex are now dummy
      packages depending on the specific versioned packages.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 13:59:49 +0800

slepc4py (3.12.0-5) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Use SLEPC_DIR to control choice of SLEPc build used with slepc4py
    at runtime (e.g. real or complex), instead of alternatives
  * python3-slepc4py-{real,complex} install the slepc4py modules
    underneath their respective SLEPC_DIRs.
  * python3-slepc4py is now a base package (not dummy) providing the
    path to the slepc4py module for the default SLEPc installation in
    /usr/lib/slepc. Export the environment variable SLEPC_DIR to
    use other SLEPc versions or builds.
  * run debian/tests/run-tests against complex build as well as
    default build

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Mar 2020 10:57:53 +0800

slepc4py (3.12.0-4) unstable; urgency=medium

  * rebuild for testing migration

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Dec 2019 02:28:41 +1100

slepc4py (3.12.0-3) unstable; urgency=medium

  * rename python-slepc4py-docs package as python-slepc4py-doc.
    Closes: #945621.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Dec 2019 12:30:40 +1100

slepc4py (3.12.0-2) unstable; urgency=medium

  * upload slepc4py 3.12 to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Dec 2019 11:29:33 +1100

slepc4py (3.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Oct 2019 02:30:14 +0800

slepc4py (3.11.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-slepc4py (python2 is deprecated)
  * autopkgtest: run debian/tests with script instead of pytest-3

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2019 11:32:56 +0800

slepc4py (3.11.0-1exp1) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

  [ Drew Parsons ]
  * New upstream release.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
  * mark python-slepc4py-docs as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Apr 2019 12:21:32 +0800

slepc4py (3.10.0-2) unstable; urgency=medium

  * remove alternatives when packages are removed. Closes: #915685.

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Dec 2018 22:23:50 +0100

slepc4py (3.10.0-1exp2) experimental; urgency=medium

  * Build-Depends: libslepc-complex3.10-dev, libpetsc-complex3.10-dev,
      python3-petsc4py-complex
  * run chrpath on SLEPc*.so and install python modules only for
    binary arch builds

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Nov 2018 01:49:25 +0800

slepc4py (3.10.0-1exp1) experimental; urgency=medium

  * New upstream release.
  * Provide python3-slepc4py-complex with complex number support.
    - Real number support is provided by python3-slepc4py-real
    - python3-slepc4py is now a dummy package depending on either
    - use alternatives to handle preferred slepc4py
  * debian patch read_slepc_config.patch reads slepc lib (slepc_real
    or slepc_complex) from SLEPC_LIB in slepcvariables for SLEPC_DIR

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Nov 2018 01:36:31 +0800

slepc4py (3.9.0-3) unstable; urgency=medium

  * Standards-Version: 4.2.1
  * add debian/tests (autopkgtest) to run tests and demos

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Sep 2018 16:51:06 +0800

slepc4py (3.9.0-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * add source-is-missing lintian override for redirect.html
  * remove ancient-python-version-field X-Python-Version

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Jul 2018 09:54:20 +0800

slepc4py (3.9.0-1exp1) experimental; urgency=medium

  * New upstream version.
  * Standards-Version: 4.1.4
  * Update Vcs-Git to https to allow cloning by all.

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Apr 2018 17:51:09 +0800

slepc4py (3.8.0-3) unstable; urgency=medium

  * debian/control: update VCS tags to salsa.debian.org
  * d/rules: fix path to SLEPc*.so to remove RUNPATH
    (python build infrastructure has changed)
  * Build-Depends: python3-distutils

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Mar 2018 09:46:26 +0800

slepc4py (3.8.0-2) unstable; urgency=medium

  * debian/rules: automatically read version (3.8) from changelog

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Mar 2018 00:50:46 +0800

slepc4py (3.8.0-1exp2) experimental; urgency=medium

  * debian/rules: the dh_installdocs override applies to build-indep
    only (otherwise, building build-arch only fails)
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Feb 2018 17:10:20 +0800

slepc4py (3.8.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    - applies debian patches
  * Standards-Version: 4.1.1
  * debhelper compatibility level 10
  * docs Depends: libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1)
  * debian/control: Priority: optional
  * python-slepc4py-docs Section: doc

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Nov 2017 18:20:45 +0800

slepc4py (3.7.0-3) unstable; urgency=medium

  * Add python3 support via python3-slepc4py. Closes: #862111.
  * Use pybuild with debhelper (dh).
  * Move documentation and examples to python-slepc4py-docs.

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 May 2017 14:40:15 +0800

slepc4py (3.7.0-2) unstable; urgency=medium

  * Release slepc4py 3.7 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2016 16:50:30 +0800

slepc4py (3.7.0-1exp1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Jul 2016 22:49:08 +0800

slepc4py (3.6.0-1) unstable; urgency=low

  * Initial release. Closes: #600795.

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Oct 2015 16:13:51 +0800
